#define prerel rc.2

Name:          zrythm
Version:       1.0.0
Release:       %mkrel %{?prerel:0.%prerel.}2
Summary:       A highly automated, intuitive, Digital Audio Workstation (DAW)
Group:         Sound/Editors and Converters
License:       GPLv3
URL:           https://www.zrythm.org
Source0:       https://www.zrythm.org/releases/%{name}-%{version}%{?prerel:-%prerel}.tar.xz
BuildRequires: gcc-c++
BuildRequires: gcc
BuildRequires: git
BuildRequires: gettext
BuildRequires: help2man
BuildRequires: python3
BuildRequires: sed
BuildRequires: texi2html
BuildRequires: xdg-utils
BuildRequires: ffmpeg-devel
BuildRequires: ladspa-devel
BuildRequires: pkgconfig(audec) >= 0.3.2
BuildRequires: pkgconfig(bash-completion)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtksourceview-4)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(guile-3.0)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(yaml-0.1)
BuildRequires: pkgconfig(libcyaml)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(portaudio-2.0)
BuildRequires: pkgconfig(reproc)
BuildRequires: pkgconfig(rtaudio)
BuildRequires: pkgconfig(rtmidi)
BuildRequires: pkgconfig(rubberband)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(libxdot)
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(lsp-dsp-lib)
BuildRequires: pkgconfig(libpcre)
BuildRequires: python3dist(sphinx)
BuildRequires: meson
BuildRequires: doxygen
BuildRequires: rubberband
BuildRequires: cppcheck
BuildRequires: clang-tools-extra
BuildRequires: jq
BuildRequires: flex
BuildRequires: sox
BuildRequires: tidy
BuildRequires: faust
BuildRequires: cmake
BuildRequires: pkgconfig(soxr)
BuildRequires: pkgconfig(graphene-1.0)
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(libpanel-1)
BuildRequires: pkgconfig(libchromaprint)
BuildRequires: pkgconfig(gtksourceview-5)
BuildRequires: graphviz-devel
BuildRequires: pkgconfig(carla-host-plugin) >= 2.6.0
BuildRequires: pkgconfig(libxxhash)
BuildRequires: pkgconfig(vamp)
BuildRequires: pkgconfig(yyjson)
BuildRequires: backstrace-devel
BuildRequires: appstream-util
BuildRequires: appstream
BuildRequires: sassc
Requires:      ladspa
Requires:      lilv
Requires:      lv2
Requires:      fftw
Requires:      jackit

%description
Zrythm is a native GNU/Linux application built with
the GTK+3 toolkit and using the JACK Connection Kit for audio I/O.
Zrythm can automate plugin parameters using built in LFOs and envelopes
and is designed to be intuitive to use.


%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%prerel} 

%build
%meson -Dsdl=enabled \
       -Drtmidi=enabled \
       -Drtaudio=enabled \
       -Dportaudio=disabled \
       -Dbuild_plugins_with_static_libs=false
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md CONTRIBUTING.md CHANGELOG.md
%{_bindir}/%{name}
%{_bindir}/%{name}_gdb
%{_bindir}/%{name}_launch
%{_bindir}/%{name}_valgrind
%{_libdir}/%{name}
%{_datadir}/applications/org.%{name}.Zrythm.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/fonts/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/%{name}/
%{_datadir}/metainfo/org.%{name}.Zrythm.appdata.xml
%{_datadir}/mime/packages/org.%{name}.Zrythm-mime.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Dec 10 2024 daviddavid <daviddavid> 1.0.0-2.mga10
+ Revision: 2123356
- rebuild for new rubberband 4.0.0

* Tue Dec 03 2024 ns80 <ns80> 1.0.0-1.mga10
+ Revision: 2120810
- version 1.0.0

* Mon Oct 07 2024 ns80 <ns80> 1.0.0-0.rc.2.1.mga10
+ Revision: 2104002
- new version 1.0.0-rc.2

* Mon Sep 30 2024 ns80 <ns80> 1.0.0-0.rc.1.1.mga10
+ Revision: 2102067
- bundle future Carla 2.6.0
- add patch to fix building with GCC 14
- try using Carla 2.5.8
- new version 1.0.0-rc.1 that support rtaudio 6
+ daviddavid <daviddavid>
- rebuild for new rtmidi 6.0.0 and new rtaudio 6.0.1

* Sun Feb 26 2023 daviddavid <daviddavid> 0.8.982-6.mga9
+ Revision: 1945473
- add upstream patch to use new libaudec with log func

* Mon Jan 30 2023 daviddavid <daviddavid> 0.8.982-5.mga9
+ Revision: 1937099
- add patch, based on upstream, to fix build with rtmidi 5.0.0
- rebuild for new rtmidi 5.0.0

* Mon Nov 07 2022 ghibo <ghibo> 0.8.982-4.mga9
+ Revision: 1904404
- Add missed libpcre to BuildRequires

* Sun Apr 03 2022 umeabot <umeabot> 0.8.982-3.mga9
+ Revision: 1842284
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 daviddavid <daviddavid> 0.8.982-2.mga8
+ Revision: 1661601
- enable rtaudio and rtmidi support

* Sun Dec 20 2020 daviddavid <daviddavid> 0.8.982-1.mga8
+ Revision: 1661572
- new version: 0.8.982
+ umeabot <umeabot>
- Rebuild for new Qt5

* Thu Feb 20 2020 umeabot <umeabot> 0.6.003-4.mga8
+ Revision: 1545597
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 0.6.003-3.mga8
+ Revision: 1484895
- enable Qt5 and ffmpeg support

* Wed Jan 29 2020 daviddavid <daviddavid> 0.6.003-2.mga8
+ Revision: 1484884
- fix dependency jack -> jackit
- use our meson build macros
- switch all BRs to pkgconfig()

* Sat Aug 17 2019 shlomif <shlomif> 0.6.003-1.mga8
+ Revision: 1429637
- based on suse


* Tue Aug 13 2019 Alexandros Theodotou
- v0.6.003
